<div class="row bdot">
	<div class="col-sm-9">
		<h1><?=$dataelem->label->text?></h1>
	</div>
	<div class="col-sm-3">
		<? include_once(APPLICATION_ROOT.'core/components/searchform.inc.php'); ?>
	</div>
	<div class="hrl"></div>
</div>

<div class="row">
	<div class="col-md-3"><?=$uij->id?>:</div>
	<div class="col-md-9"><a href="<?=$dataelem->id?>"><?=$dataelem->id?></a></div>
</div>

<div class="row">
	<div class="col-md-3"><?=$uij->thisversion?>:</div>
	<div class="col-md-9"><a href="<?=$dataelem->thisversion?>"><?=$dataelem->thisversion?></a></div>
</div>

<div class="row">
	<div class="col-md-3"><?=$uij->latestversion?>:</div>
	<div class="col-md-9"><a href="<?=$dataelem->latestversion?>"><?=$dataelem->latestversion?></a></div>
</div>

<? 
if(isset($dataelem->historyversion)){
?>
<div class="row">
	<div class="col-md-3"><?=$uij->previousversions?>:</div>
	<div class="col-md-9">
	<ul>
	<?
	foreach($dataelem->historyversion as $v){
	?>
	<li><a href="<?=$v->version?>"><?=$v->version?></a></li>
	<?
	}
	?>
	</ul>
	</div>
</div>
<?
}
?>

<div class="row row-spt1">
	<div class="col-md-3"><?=$uij->label?>:<?=($dataelem->label->lang != $lang) ? '<br/><small>['.$uij->{'not-available-in'}.']</small>' : ''?></div>
	<div class="col-md-9"><strong><?=$dataelem->label->text?></strong></div>
</div>

<?if(isset($dataelem->definition)){?>
<div class="row">
	<div class="col-md-3"><?=$uij->definition?>:<?=($dataelem->definition->lang != $lang) ? '<br/><small>['.$uij->{'not-available-in'}.']</small>' : ''?></div>
	<div class="col-md-9<?=(strlen($dataelem->definition->text)>TEXT_BIG_LIMIT) ? ' bigtext' : ''?>"><?=$u->processText($dataelem->definition->text)?></div>
</div>
<?}?>

<?if(isset($dataelem->description)){?>
<div class="row">
	<div class="col-md-3"><?=$uij->description?>:<?=($dataelem->description->lang != $lang) ? '<br/><small>['.$uij->{'not-available-in'}.']</small>' : ''?></div>
	<div class="col-md-9<?=(strlen($dataelem->description->text)>TEXT_BIG_LIMIT) ? ' bigtext' : ''?>"><?=$u->processText($dataelem->description->text)?></div>
</div>
<?}?>

<?if(isset($dataelem->{'governance-level'})){?>
<div class="row row-spt1">
	<div class="col-md-3"><?=$uij->{'governance-level-label'}?>:</div>
	<div class="col-md-9"><a href="<?=$dataelem->{'governance-level'}->id?>"><?=$dataelem->{'governance-level'}->label->text?></a></div>
</div>
<?}?>

<?if(isset($dataelem->status)){?>
<div class="row<?=(!isset($dataelem->{'governance-level'})) ?  " row-spt1" : "" ?>">
	<div class="col-md-3"><?=$uij->{'status'}?>:</div>
	<div class="col-md-9"><a href="<?=$dataelem->status->id?>"><?=$dataelem->status->label->text?></a></div>
</div>
<?}?>

<?
$spt=0;
if(isset($dataelem->successors)){
?>
<div class="row<?=($spt==0) ? ' row-spt1' : '' ?>">
	<div class="col-md-3"><?=$uij->successors?>:</div>
	<div class="col-md-9">
	<ul>
	<?
	foreach($dataelem->successors as $v){
	?>
	<li><a href="<?=$v->successor->id?>"><?=$v->successor->label->text?></a></li>
	<?
	}
	?>
	</ul>
	</div>
</div>
<?
$spt++;
}
?>

<? 
if(isset($dataelem->predecessors)){
?>
<div class="row<?=($spt==0) ? ' row-spt1' : '' ?>">
	<div class="col-md-3"><?=$uij->predecessors?>:</div>
	<div class="col-md-9">
	<ul>
	<?
	foreach($dataelem->predecessors as $v){
	?>
	<li><a href="<?=$v->predecessor->id?>"><?=$v->predecessor->label->text?></a></li>
	<?
	}
	?>
	</ul>
	</div>
</div>
<?
$spt++;
}
?>

<? 
if(isset($dataelem->parents)){
?>
<div class="row<?=($spt==0) ? ' row-spt1' : '' ?>">
	<div class="col-md-3"><?=$uij->parents?>:</div>
	<div class="col-md-9">
	<ul>
	<?
	foreach($dataelem->parents as $v){
	?>
	<li><a href="<?=$v->parent->id?>"><?=$v->parent->label->text?></a></li>
	<?
	}
	?>
	</ul>
	</div>
</div>
<?
$spt++;
}
?>
<?	
	foreach($cur_desc->detailedements as $de){
		$tmp = $de->itemkey;
		if(strpos($tmp,'=')>0){
			$itmkey_tmp = explode('=',$tmp);
			if(isset($dataelem->{$itmkey_tmp[0]})){
				$array_elements = $dataelem->{$itmkey_tmp[0]};
			}else{
				$array_elements = NULL;
			}
			
			if($array_elements){
			?>			
			<div class="row<?=(isset($de->topseparator) && $de->topseparator=='true')? " row-spt1" : ""?>">
			<div class="col-md-3"><?=$uij->{$de->labelkey}?>:</div>
			<div class="col-md-9">

			<ul>
			<?
			foreach($array_elements as $ael){					
				$tmps = explode('->',$itmkey_tmp[1]);
				$elem = NULL;
				$i=0;
				foreach($tmps as $t){
					if($i==0){
						$elem = $ael->{$t};
					}else{
						$elem = $elem->{$t};
					}
					$i++;
				}

				if(isset($de->href) && strlen($de->href)>0){
					$lnk = $de->href;
					$lnks = explode('->',$lnk);
					$href = NULL;
					$i=0;
					foreach($lnks as $l){
						if($i==0){
							$href = $ael->{$l};
						}else{
							$href = $href->{$l};
						}
						$i++;
					}						
					/*$tmp = $de->href;					
					if(strpos($tmp,'parent:')!==false){
						$href = $dataelem->{str_replace('parent:','',$tmp)};
					}else{
						$el = $tmps[0];
						$href = $ael->{$el}->{$tmp};
					}*/
				}else{
					$href = NULL;
				}
				if($elem == "" && $href != ""){
					$elem = $href;
				}
				if(isset($de->bold) && $de->bold=='true'){
					$bold=1;
				}else{
					$bold = NULL;
				}
				if(isset($de->uilabel)){
					$tmp = str_replace("_%_",$elem,$de->uilabel);
					$elem = $uij->{$tmp};
				}			
				?>
				<li>
				<?=($bold)? '<strong>' : ''?>
				<?=($href) ? '<a href="'.$href.'">' : '' ?><?=nl2br($elem)?><?=($href) ? '</a>' : '' ?>
				<?=($bold)? '</strong>' : ''?>
				</li>	
				<?
				$elem = NULL;
				$href = NULL;
			}
			?>
			</ul>

			</div>
			</div>
			<?
			}
		}else{
			$tmps = explode('->',$tmp);
			$elem = NULL;
			$i=0;
			foreach($tmps as $t){
				if($i==0){
					if(isset($dataelem->{$t})){
						$elem = $dataelem->{$t};
					}
				}else{
					if(isset($elem) && $elem!=NULL && isset($elem->{$t})){
						$elem = $elem->{$t};
					}else{
						$elem = NULL;
					}
				}
				$i++;
			}

			if(isset($de->href) && strlen($de->href)>0){				
				$lnk = $de->href;
				$lnks = explode('->',$lnk);
				$href = NULL;
				$i=0;
				foreach($lnks as $l){
					if($i==0){
						if(isset($dataelem->{$l})){
							$href = $dataelem->{$l};
						}
					}else{
						if(isset($href) && $href!=NULL && isset($href->{$l})){
							$href = $href->{$l};
						}else{
							$href = NULL;
						}
					}
					$i++;
				}				
				/*$tmp = $de->href;
				if(strpos($tmp,'parent:')!==false){
					$href = $dataelem->{str_replace('parent:','',$tmp)};
				}else{
					$el = $tmps[0];
					if(isset($el) && $el!=NULL && isset($dataelem->{$el}) && $dataelem->{$el}!=null){
						$href = $dataelem->{$el}->{$tmp};
					}
				}*/

			}else{
				$href = NULL;
			}
			if($elem == "" && $href!=""){
				$elem = $href;
			}
			if(isset($de->bold) && $de->bold=='true'){
				$bold=1;
			}else{
				$bold = NULL;
			}
			if($elem){
				if(isset($de->uilabel)){
					$tmp = str_replace("_%_",$elem,$de->uilabel);
					$elem = $uij->{$tmp};
				}
			?>
			<div class="row<?=($de->topseparator=='true')? " row-spt1" : ""?>">
			<div class="col-md-3"><?=$uij->{$de->labelkey}?>:</div>
			<div class="col-md-9">
			<?=($bold)? '<strong>' : ''?>
			<?=($href) ? '<a href="'.$href.'">' : '' ?><?=nl2br($elem)?><?=($href) ? '</a>' : '' ?>
			<?=($bold)? '</strong>' : ''?>
			</div>
			</div>
			<?
			}
			$elem = NULL;
			$href = NULL;
		}
	}
?>

<? include_once(APPLICATION_ROOT.'core/components/formats.inc.php'); ?>

<? if(isset($dataelem->containeditems)) {
	
	/* Only a value list or a relation list can be visible at a time */
	
	if(isset($dataelem->containeditems[0]->{$cur_desc->relationlistkey})){
	/* Showing relation list */
?>
<h3><?=$uij->{$cur_desc->relationlisttitlekey}?></h3>

<table id="tbl" class="table table-striped table-bordered" cellspacing="0" width="100%">
<thead>
	<tr>
		<?
		foreach($cur_desc->relationtablecolumns as $cl){
		?>
		<th><?=$uij->{$cl->labelkey}?></th>
		<?
		}
		?>
	</tr>
</thead>
<tbody>
	<?	
	foreach($dataj->{$object_key}->containeditems as $r){		
	?>
	<tr>
		<?
		foreach($cur_desc->relationtablecolumns as $cl){
			$tmp =$cl->itemkey;
			if(strpos($tmp,'=')>0){
				$itmkey_tmp = explode('=',$tmp);
				if (isset($cur_desc->relationlistkey) && isset($r->{$cur_desc->relationlistkey}) && isset($r->{$cur_desc->relationlistkey}->{$itmkey_tmp[0]})){
					$array_elements = $r->{$cur_desc->relationlistkey}->{$itmkey_tmp[0]};
				}
				?>
				<td>
				<?
				if($array_elements){
				?>
				<ul>
				<?
				foreach($array_elements as $ael){
					
					$tmps = explode('->',$itmkey_tmp[1]);
					$elem = NULL;
					$i=0;
					foreach($tmps as $t){
						if($i==0){
							$elem = (isset($ael->{$t})) ? $ael->{$t} : NULL;
						}else{
							$elem = (isset($elem->{$t})) ? $elem->{$t} : NULL;
						}
						$i++;
					}
						
					if(isset($cl->href)  && strlen($cl->href)>0){
						$lnk = $cl->href;						
						$lnks = explode('->',$lnk);
						$href = NULL;
						$i=0;
						foreach($lnks as $l){
							if($i==0){
								$href = $ael->{$l};
							}else{
								$href = $href->{$l};
							}
							$i++;
						}						
						/*$tmp = $cl->href;
						if(strpos($tmp,'parent:')!==false){
							$href = $r->{$cur_desc->relationlistkey}->{str_replace('parent:','',$tmp)};
						}else{
							$el = $tmps[0];
							$href = (isset($ael->{$el}) && isset($ael->{$el}->{$tmp}))? $ael->{$el}->{$tmp} : NULL;
						}*/
					}else{
						$href = NULL;
					}
					if($elem == "" && $href != ""){
						$elem = $href;
					}
					if(isset($cl->bold) && $cl->bold=='true'){
						$bold=1;
					}else{
						$bold = NULL;
					}
					if(isset($cl->uilabel)){
						$tmp = str_replace("_%_",$elem,$cl->uilabel);
						$elem = $uij->{$tmp};
					}
					?>
					<li>
					<?=($bold)? '<strong>' : ''?>
					<?=($href) ? '<a href="'.$href.'">' : '' ?><?=$elem?><?=($href) ? '</a>' : '' ?>
					<?=($bold)? '</strong>' : ''?>
					</li>
					<?
					$elem = NULL;
					$href = NULL;
				}
				?>
				</ul>
				<?
				}
				?>
				</td>
				<?
			}else{			
				$tmps = explode('->',$tmp);
				$elem = NULL;
				$i=0;
				foreach($tmps as $t){
					if($i==0){
						$elem = $r->{$cur_desc->relationlistkey}->{$t};
					}else{
						$elem = $elem->{$t};
					}
					$i++;
				}
				
				if(isset($cl->href) && strlen($cl->href)>0){
					$lnk = $cl->href;
					$lnks = explode('->',$lnk);
					$href = NULL;
					$i=0;
					foreach($lnks as $l){
						if($i==0){
							$href = $r->{$cur_desc->relationlistkey}->{$l};
						}else{
							$href = $href->{$l};
						}
						$i++;
					}					
					/*$tmp = $cl->href;
					if(strpos($tmp,'parent:')!==false){
						$href = $r->{$cur_desc->relationlistkey}->{str_replace('parent:','',$tmp)};
					}else{
						$el = $tmps[0];
						$href = $r->{$cur_desc->relationlistkey}->{$el}->{$tmp};
					}*/
				}else{
					$href = NULL;
				}
				if($elem == "" && $href != ""){
					$elem = $href;
				}
				if(isset($cl->bold) && $cl->bold=='true'){
					$bold=1;
				}else{
					$bold = NULL;
				}
				if(isset($cl->uilabel)){
					$tmp = str_replace("_%_",$elem,$cl->uilabel);
					$elem = $uij->{$tmp};
				}
				?>
				<td>
				<?=($bold)? '<strong>' : ''?>
				<?=($href) ? '<a href="'.$href.'">' : '' ?><?=$elem?><?=($href) ? '</a>' : '' ?>
				<?=($bold)? '</strong>' : ''?>
				</td>
				<?
				$elem = NULL;
				$href = NULL;
			}
		
		}
		?>
	</tr>
	<?
	}
	?>
</tbody>
</table>
<?
	}else{
	/* Showing value list */
 ?>
<h3><?=$uij->{$cur_desc->listtitlekey}?></h3>

<table id="tbl" class="table table-striped table-bordered" cellspacing="0" width="100%">
<thead>
	<tr>
		<?
		foreach($cur_desc->tablecolumns as $cl){
		?>
		<th><?=$uij->{$cl->labelkey}?></th>
		<?
		}
		?>
	</tr>
</thead>
<tbody>
	<?	
	foreach($dataj->{$object_key}->containeditems as $r){		
	?>
	<tr>
		<?
		foreach($cur_desc->tablecolumns as $cl){
			$tmp =$cl->itemkey;
			if(strpos($tmp,'=')>0){
				$itmkey_tmp = explode('=',$tmp);
				if(isset($r->{$cur_desc->id}->{$itmkey_tmp[0]})){
					$array_elements = $r->{$cur_desc->id}->{$itmkey_tmp[0]};
				}else{
					$array_elements = NULL;
				}
				?>
				<td>
				<?
				if($array_elements){
				?>
				<ul>
				<?
				foreach($array_elements as $ael){
					
					$tmps = explode('->',$itmkey_tmp[1]);
					$elem = NULL;
					$i=0;
					foreach($tmps as $t){
						if($i==0){
							$elem = $ael->{$t};
						}else{
							$elem = $elem->{$t};
						}
						$i++;
					}
						
					if(isset($cl->href) && strlen($cl->href)>0){
						$lnk = $cl->href;						
						$lnks = explode('->',$lnk);
						$href = NULL;
						$i=0;
						foreach($lnks as $l){
							if($i==0){
								$href = $ael->{$l};
							}else{
								$href = $href->{$l};
							}
							$i++;
						}		
						/*$tmp = $cl->href;
						if(strpos($tmp,'parent:')!==false){
							$href = $r->{$cur_desc->id}->{str_replace('parent:','',$tmp)};
						}else{
							$el = $tmps[0];
							$href = $ael->{$el}->{$tmp};
						}*/
					}else{
						$href = NULL;
					}
					if($elem == "" && $href != ""){
						$elem = $href;
					}
					if(isset($cl->bold) && $cl->bold=='true'){
						$bold=1;
					}else{
						$bold = NULL;
					}
					if(isset($cl->uilabel)){
						$tmp = str_replace("_%_",$elem,$cl->uilabel);
						$elem = $uij->{$tmp};
					}
					?>
					<li>
					<?=($bold)? '<strong>' : ''?>
					<?=($href) ? '<a href="'.$href.'">' : '' ?><?=$elem?><?=($href) ? '</a>' : '' ?>
					<?=($bold)? '</strong>' : ''?>
					</li>
					<?
					$elem = NULL;
					$href = NULL;
				}
				?>
				</ul>
				<?
				}
				?>
				</td>
				<?
			}else{			
				$tmps = explode('->',$tmp);
				$elem = NULL;
				$i=0;
				foreach($tmps as $t){
					if($i==0){
						$elem = (isset($cur_desc->id) && isset($r->{$cur_desc->id}) && isset($r->{$cur_desc->id}->{$t})) ? $r->{$cur_desc->id}->{$t} : NULL;
					}else{
						$elem = (isset($elem->{$t})) ? $elem->{$t} : NULL;
					}
					$i++;
				}
				
				if(isset($cl->href) && strlen($cl->href)>0){
					$lnk = $cl->href;
					$lnks = explode('->',$lnk);
					$href = NULL;
					$i=0;
					foreach($lnks as $l){
						if($i==0){
							$href = $r->{$cur_desc->id}->{$l};
						}else{
							$href = $href->{$l};
						}
						$i++;
					}
					/*$tmp = $cl->href;
					if(strpos($tmp,'parent:')!==false){
						$href = $r->{$cur_desc->id}->{str_replace('parent:','',$tmp)};
					}else{
						$el = $tmps[0];
						$href = (isset($cur_desc->id) && isset($r->{$cur_desc->id}) && isset($r->{$cur_desc->id}->{$el}) && isset($r->{$cur_desc->id}->{$el}->{$tmp})) ? $r->{$cur_desc->id}->{$el}->{$tmp} : NULL;
					}*/
				}else{
					$href = NULL;
				}
				if($elem == "" && $href != ""){
					$elem = $href;
				}
				if(isset($cl->bold) && $cl->bold=='true'){
					$bold=1;
				}else{
					$bold = NULL;
				}
				if(isset($cl->uilabel)){
					$tmp = str_replace("_%_",$elem,$cl->uilabel);
					$elem = $uij->{$tmp};
				}
				?>
				<td>
				<?=($bold)? '<strong>' : ''?>
				<?=($href) ? '<a href="'.$href.'">' : '' ?><?=$elem?><?=($href) ? '</a>' : '' ?>
				<?=($bold)? '</strong>' : ''?>
				</td>
				<?
				$elem = NULL;
				$href = NULL;
			}
		
		}
		?>
	</tr>
	<?
	}
	?>
</tbody>
</table>
<?
	} 
}
?>

<p>&nbsp;</p>
