<%@page import="org.apache.shiro.SecurityUtils"%>
<!DOCTYPE html>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<html lang="${localization['common.langid']}">
    <head>        
        <jsp:include page="includes/head.jsp"></jsp:include>
        </head>
        <body>
        <jsp:include page="includes/header.jsp"></jsp:include>

        <div class="container">
            <c:choose>
                <c:when test="${props['application.LoginType'] == 'ECAS'}">

                    <c:choose>
                        <c:when test="${not empty autherrorinactive}">
                            <p>${localization['auth.errorinactive']}</p>
                        </c:when>
                        <c:when test="${not empty autherror}">
                            <p>${localization['auth.errorlogin']}</p>

                        </c:when>
                        <c:otherwise>
                            <h2>Login page</h2>
                            <p>${localization['auth.loginmessage']}</p>
                            <p>&nbsp;</p>
                            <p><a id="lgbtn" href="./index">${localization['auth.loginlabel']}</a></p>
                            <script>
                                $(function () {
                                    $("#lgbtn").button({
                                        text: true
                                    });
                                });
                            </script>
                        </c:otherwise>
                    </c:choose>
                </c:when>
                <c:when test="${props['application.LoginType'] == 'SHIRO'}">
                    <h2>Login page</h2>
                    <form name="loginform" method="post">
                        <label>E-mail:</label><input type="text" name="username" maxlength="90"><br/>
                        <label>Password:</label><input type="password" name="password" maxlength="90"><br/><br/>
                        <input type="submit" name="submit" value="Login" id="lgbtn"><br/>
                        
                        <%
                            String errorDescription = (String) request.getAttribute("simpleShiroApplicationLoginFailure");
                            if(errorDescription!=null){
                        %>
                        <p>${localization['auth.errorlogin.nouser']}</p>
                        <%
                            }
                        %>
                        
                        <script>
                            $(function () {
                                $("#lgbtn").button({
                                    text: true
                                });
                            });
                        </script>
                        <c:choose>
                            <c:when test="${not empty autherrorinactive}">
                                <p>${localization['auth.errorinactive']}</p>
                            </c:when>
                        </c:choose>
                    </form>
                </c:when>
            </c:choose>
        </div>

        <jsp:include page="includes/footer.jsp"></jsp:include> 
        <jsp:include page="includes/page-end.jsp"></jsp:include>
    </body>
</html>