<div class="row bdot">
	<div class="col-sm-9">		
		<h1><?=$dataj->value->label->text?></h1>
	</div>
	<div class="col-sm-3">
		<? include_once(APPLICATION_ROOT.'core/components/searchform.inc.php'); ?>
	</div>
	<div class="hrl"></div>
</div>

<div class="row">
	<div class="col-md-3"><?=$uij->id?>:</div>
	<div class="col-md-9"><a href="<?=$dataj->value->id?>"><?=$dataj->value->id?></a></div>
</div>

<div class="row">
	<div class="col-md-3"><?=$uij->thisversion?>:</div>
	<div class="col-md-9"><a href="<?=$dataj->value->thisversion?>"><?=$dataj->value->thisversion?></a></div>
</div>

<div class="row">
	<div class="col-md-3"><?=$uij->latestversion?>:</div>
	<div class="col-md-9"><a href="<?=$dataj->value->latestversion?>"><?=$dataj->value->latestversion?></a></div>
</div>

<? 
if(isset($dataj->value->historyversion)){
?>
<div class="row">
	<div class="col-md-3"><?=$uij->previousversions?>:</div>
	<div class="col-md-9">
	<ul>
	<?
	foreach($dataj->value->historyversion as $v){
	?>
	<li><a href="<?=$v->version?>"><?=$v->version?></a></li>
	<?
	}
	?>
	</ul>
	</div>
</div>
<?
}
?>

<div class="row row-spt1">
	<div class="col-md-3"><?=$uij->label?>:<?=($dataj->value->label->lang != $lang) ? '<br/><small>['.$uij->{'not-available-in'}.']</small>' : ''?></div>
	<div class="col-md-9"><strong><?=$dataj->value->label->text?></strong></div>
</div>

<?if(isset($dataj->value->definition)){?>
<div class="row">
	<div class="col-md-3"><?=$uij->definition?>:<?=($dataj->value->definition->lang != $lang) ? '<br/><small>['.$uij->{'not-available-in'}.']</small>' : ''?></div>
	<div class="col-md-9<?=(strlen($dataj->value->definition->text)>TEXT_BIG_LIMIT) ? ' bigtext' : ''?>"><?=$u->processText($dataj->value->definition->text)?></div>
</div>
<?}?>

<?if(isset($dataj->value->description)){?>
<div class="row">
	<div class="col-md-3"><?=$uij->description?>:<?=($dataj->value->description->lang != $lang) ? '<br/><small>['.$uij->{'not-available-in'}.']</small>' : ''?></div>
	<div class="col-md-9<?=(strlen($dataj->value->description->text)>TEXT_BIG_LIMIT) ? ' bigtext' : ''?>"><?=$u->processText($dataj->value->description->text)?></div>
</div>
<?}?>

<?if(isset($dataj->value->{'governance-level'})){?>
<div class="row row-spt1">
	<div class="col-md-3"><?=$uij->{'governance-level-label'}?>:</div>
	<div class="col-md-9"><a href="<?=$dataj->value->{'governance-level'}->id?>"><?=$dataj->value->{'governance-level'}->label->text?></a></div>
</div>
<?}?>

<?if(isset($dataj->value->status)){?>
<div class="row">
	<div class="col-md-3"><?=$uij->{'status'}?>:</div>
	<div class="col-md-9"><a href="<?=$dataj->value->status->id?>"><?=$dataj->value->status->label->text?></a></div>
</div>
<?}?>

<?
$spt=0;
if(isset($dataj->value->successors)){
?>
<div class="row<?=($spt==0) ? ' row-spt1' : '' ?>">
	<div class="col-md-3"><?=$uij->successors?>:</div>
	<div class="col-md-9">
	<ul>
	<?
	foreach($dataj->value->successors as $v){
	?>
	<li><a href="<?=$v->successor->id?>"><?=$v->successor->label->text?></a></li>
	<?
	}
	?>
	</ul>
	</div>
</div>
<?
$spt++;
}
?>

<? 
if(isset($dataj->value->predecessors)){
?>
<div class="row<?=($spt==0) ? ' row-spt1' : '' ?>">
	<div class="col-md-3"><?=$uij->predecessors?>:</div>
	<div class="col-md-9">
	<ul>
	<?
	foreach($dataj->value->predecessors as $v){
	?>
	<li><a href="<?=$v->predecessor->id?>"><?=$v->predecessor->label->text?></a></li>
	<?
	}
	?>
	</ul>
	</div>
</div>
<?
$spt++;
}
?>

<? 
if(isset($dataj->value->parents)){
?>
<div class="row<?=($spt==0) ? ' row-spt1' : '' ?>">
	<div class="col-md-3"><?=$uij->parents?>:</div>
	<div class="col-md-9">
	<ul>
	<?
	foreach($dataj->value->parents as $v){
	?>
	<li><a href="<?=$v->parent->id?>"><?=$v->parent->label->text?></a></li>
	<?
	}
	?>
	</ul>
	</div>
</div>
<?
$spt++;
}
?>
<?	
	foreach($cur_desc->detailedements as $de){
		$tmp = $de->itemkey;
		if(strpos($tmp,'=')>0){
			$itmkey_tmp = explode('=',$tmp);
			if(isset($dataj->value->{$itmkey_tmp[0]})){
				$array_elements = $dataj->value->{$itmkey_tmp[0]};
			}else{
				$array_elements = NULL;
			}

			if($array_elements){
			?>			
			<div class="row<?=($de->topseparator=='true')? " row-spt1" : ""?>">
			<div class="col-md-3"><?=$uij->{$de->labelkey}?>:</div>
			<div class="col-md-9">
			
			<ul>
			<?
			foreach($array_elements as $ael){					
				$tmps = explode('->',$itmkey_tmp[1]);
				$elem = NULL;
				$i=0;
				foreach($tmps as $t){
					if($i==0){
						$elem = $ael->{$t};
					}else{
						$elem = $elem->{$t};
					}
					$i++;
				}
					
				if(isset($de->href)){					
					$lnk = $de->href;
					$lnks = explode('->',$lnk);
					$href = NULL;
					$i=0;
					foreach($lnks as $l){
						if($i==0){
							$href = $ael->{$l};
						}else{
							$href = $href->{$l};
						}
						$i++;
					}					
					/*$tmp = $de->href;
					if(strpos($tmp,'parent:')!==false){
						$href = $dataj->value->{str_replace('parent:','',$tmp)};
					}else{
						$el = $tmps[0];
						$href = $ael->{$el}->{$tmp};
					}*/
				}else{
					$href = NULL;
				}
				if($elem == "" && $href != ""){
					$elem = $href;
				}
				if(isset($de->bold) && $de->bold=='true'){
					$bold=1;
				}else{
					$bold = NULL;
				}
				if(isset($de->uilabel)){
					$tmp = str_replace("_%_",$elem,$de->uilabel);
					$elem = $uij->{$tmp};
				}			
				?>
				<li>
				<?=($bold)? '<strong>' : ''?>
				<?=($href) ? '<a href="'.$href.'">' : '' ?><?=nl2br($elem)?><?=($href) ? '</a>' : '' ?>
				<?=($bold)? '</strong>' : ''?>
				</li>	
				<?
				$elem = NULL;
				$href = NULL;
			}
			?>
			</ul>
			
			</div>
			</div>
			<?
			}
		}else{
			$tmps = explode('->',$tmp);
			$elem = NULL;
			$i=0;
			foreach($tmps as $t){
				if($i==0){
					$elem = (isset($dataj->value->{$t})) ? $dataj->value->{$t} : NULL;
				}else{
					$elem = (isset($elem->{$t})) ? $elem->{$t} : NULL;
				}
				$i++;
			}
			
			if(isset($de->href)){
				$lnk = $de->href;
				$lnks = explode('->',$lnk);
				$href = NULL;
				$i=0;
				foreach($lnks as $l){
					if($i==0){
						if(isset($dataj->value->{$l})){
							$href = $dataj->value->{$l};
						}
					}else{
						if(isset($href) && $href!=NULL && isset($href->{$l})){
							$href = $href->{$l};
						}else{
							$href = NULL;
						}
					}
					$i++;
				}
				/*$tmp = $de->href;
				if(strpos($tmp,'parent:')!==false){
					$href = $dataj->value->{str_replace('parent:','',$tmp)};
				}else{
					$el = $tmps[0];
					$href = (isset($dataj->value->{$el}) && isset($dataj->value->{$el}->{$tmp})) ? $dataj->value->{$el}->{$tmp} : NULL;	
				}*/
			}else{
				$href = NULL;
			}
			if($elem == "" && $href != ""){
				$elem = $href;
			}
			if(isset($de->bold) && $de->bold=='true'){
				$bold=1;
			}else{
				$bold = NULL;
			}
			if($elem){
				if(isset($de->uilabel)){
					$tmp = str_replace("_%_",$elem,$de->uilabel);
					$elem = $uij->{$tmp};
				}
			?>
			<div class="row<?=($de->topseparator=='true')? " row-spt1" : ""?>">
			<div class="col-md-3"><?=$uij->{$de->labelkey}?>:</div>
			<div class="col-md-9">
			<?=($bold)? '<strong>' : ''?>
			<?=($href) ? '<a href="'.$href.'">' : '' ?><?=nl2br($elem)?><?=($href) ? '</a>' : '' ?>
			<?=($bold)? '</strong>' : ''?>
			</div>
			</div>
			<?
			}
			$elem = NULL;
			$href = NULL;
		}
	}
?>

<? include_once(APPLICATION_ROOT.'core/components/formats.inc.php'); ?>

<? if(isset($dataj->value->narrower)) {
?>
<h3><?=$uij->{$cur_desc->listtitlekey}?></h3>

<table id="tbl" class="table table-striped table-bordered" cellspacing="0" width="100%">
<thead>
	<tr>
		<?
		foreach($cur_desc->tablecolumns as $cl){
		?>
		<th><?=$uij->{$cl->labelkey}?></th>
		<?
		}
		?>
	</tr>
</thead>
<tbody>
	<?	
	foreach($dataj->value->narrower as $r){		
	?>
	<tr>
		<?
		foreach($cur_desc->tablecolumns as $cl){
			$tmp =$cl->itemkey;
			if(strpos($tmp,'=')>0){
				$itmkey_tmp = explode('=',$tmp);
				if(isset($r->{$cur_desc->id}->{$itmkey_tmp[0]})){
					$array_elements = $r->{$cur_desc->id}->{$itmkey_tmp[0]};
				}else{
					$array_elements = NULL;
				}
				
				?>
				<td>
				<?
				if($array_elements){
				?>
				<ul>
				<?
				foreach($array_elements as $ael){
					
					$tmps = explode('->',$itmkey_tmp[1]);
					$elem = NULL;
					$i=0;
					foreach($tmps as $t){
						if($i==0){
							$elem = $ael->{$t};
						}else{
							$elem = $elem->{$t};
						}
						$i++;
					}
						
					if(isset($cl->href)){
						$lnk = $cl->href;						
						$lnks = explode('->',$lnk);
						$href = NULL;
						$i=0;
						foreach($lnks as $l){
							if($i==0){
								$href = $ael->{$l};
							}else{
								$href = $href->{$l};
							}
							$i++;
						}
						
						/*$tmp = $cl->href;
						if(strpos($tmp,'parent:')!==false){
							$href = $r->{$cur_desc->id}->{str_replace('parent:','',$tmp)};
						}else{
							$el = $tmps[0];
							$href = $ael->{$el}->{$tmp};
						}*/
					}else{
						$href = NULL;
					}
					if($elem == "" && $href != ""){
						$elem = $href;
					}
					if(isset($cl->bold) && $cl->bold=='true'){
						$bold=1;
					}else{
						$bold = NULL;
					}
					if(isset($cl->uilabel)){
						$tmp = str_replace("_%_",$elem,$cl->uilabel);
						$elem = $uij->{$tmp};
					}
					?>
					<li>
					<?=($bold)? '<strong>' : ''?>
					<?=($href) ? '<a href="'.$href.'">' : '' ?><?=$elem?><?=($href) ? '</a>' : '' ?>
					<?=($bold)? '</strong>' : ''?>
					</li>
					<?
					$elem = NULL;
					$href = NULL;
				}
				?>
				</ul>
				<?
				}
				?>
				</td>
				<?
			}else{			
				$tmps = explode('->',$tmp);
				$elem = NULL;
				$i=0;
				foreach($tmps as $t){
					if($i==0){
						$elem = $r->{$cur_desc->id}->{$t};
					}else{
						$elem = $elem->{$t};
					}
					$i++;
				}
				
				if(isset($cl->href)){
					$lnk = $cl->href;
					$lnks = explode('->',$lnk);
					$href = NULL;
					$i=0;
					foreach($lnks as $l){
						if($i==0){
							$href = $r->{$cur_desc->id}->{$l};
						}else{
							$href = $href->{$l};
						}
						$i++;
					}
					
					/*$tmp = $cl->href;
					if(strpos($tmp,'parent:')!==false){
						$href = $r->{$cur_desc->id}->{str_replace('parent:','',$tmp)};
					}else{
						$el = $tmps[0];
						$href = $r->{$cur_desc->id}->{$el}->{$tmp};
					}*/
				}else{
					$href = NULL;
				}
				if($elem == "" && $href != ""){
					$elem = $href;
				}
				if(isset($cl->bold) && $cl->bold=='true'){
					$bold=1;
				}else{
					$bold = NULL;
				}
				if(isset($cl->uilabel)){
					$tmp = str_replace("_%_",$elem,$cl->uilabel);
					$elem = $uij->{$tmp};
				}
				?>
				<td>
				<?=($bold)? '<strong>' : ''?>
				<?=($href) ? '<a href="'.$href.'">' : '' ?><?=$elem?><?=($href) ? '</a>' : '' ?>
				<?=($bold)? '</strong>' : ''?>
				</td>
				<?
				$elem = NULL;
				$href = NULL;
			}		
		}
		?>
	</tr>
	<?
	}
	?>
</tbody>
</table>
<?
}
?>
<p>&nbsp;</p>
